Bug 570819 - UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
Summary: UnicodeWarning: Unicode equal comparison failed to convert both arguments to ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 14:21 UTC by Michael Schwendt
Modified: 2014-01-21 23:13 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-02 19:53:28 UTC


Attachments (Terms of Use)
Fix UnicodeWarning when comparing provides (1.45 KB, patch)
2010-06-02 20:30 UTC, Toshio Ernie Kuratomi
no flags Details | Diff

Description Michael Schwendt 2010-03-05 14:21:15 UTC
Non-Unicode Provides in culmus-miriam-clm-fonts package make Yum warn like this:

/usr/lib/python2.6/site-packages/yum/packages.py:401: UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if prcotuple in self.prco[prcotype]:

$ rpm -qp --provides culmus-miriam-clm-fonts-0.104-2.fc13.noarch.rpm 
config(culmus-miriam-clm-fonts) = 0.104-2.fc13
font(:lang=he)  
font(:lang=yi)  
font(miriamclm)  
font(מרים)  
culmus-miriam-clm-fonts = 0.104-2.fc13

That translates to "Provides: font(\xd7\x9e\xd7\xa8\xd7\x99\xd7\x9d)".

Comment 1 Toshio Ernie Kuratomi 2010-06-02 20:30:32 UTC
Created attachment 419155 [details]
Fix UnicodeWarning when comparing provides

This is a minimal patch to fix the issue.  A more complete fix would check if we can use the byte version of "n" everywhere in that function and only use the unicode version where necessary (likely, the sqlite call).

Comment 2 seth vidal 2010-07-02 19:53:28 UTC
Toshio,
 your patch has been applied upstream. 

thanks

Comment 3 Fedora Update System 2010-08-02 14:12:44 UTC
yum-3.2.28-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc13

Comment 4 Fedora Update System 2010-08-02 14:14:15 UTC
yum-3.2.28-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc14

Comment 5 Fedora Update System 2010-08-02 14:15:50 UTC
yum-3.2.28-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc12

Comment 6 Fedora Update System 2010-08-05 23:46:03 UTC
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-08-12 20:16:50 UTC
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12

Comment 8 Fedora Update System 2010-08-12 20:19:16 UTC
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13

Comment 9 Fedora Update System 2010-08-12 20:21:37 UTC
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14

Comment 10 Fedora Update System 2010-08-17 05:46:58 UTC
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-20 02:20:32 UTC
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-08-24 01:38:11 UTC
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.